import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudbrokerAccountSetCpuAllocationParameterResultBool(
    _base.BaseAPIResultBool,
):
    pass


class CloudbrokerAccountSetCpuAllocationParameterProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def set_cpu_allocation_parameter(
        self,
        *,
        account_id: int,
        cpu_allocation_mode: _nested.CPUAllocationMode,
    ) -> CloudbrokerAccountSetCpuAllocationParameterResultBool:
        ...
